Retrieve a Recording
This code snippet shows how to retrieve a recording using the Meetings API.
See the API Reference for more information.
Example Request
Where needed, replace the following variables in the sample code with your own values:
| Key | Description |
|---|---|
JWT | Used to authenticate your request. See |
VONAGE_APPLICATION_ID | The Vonage Application ID. |
VONAGE_APPLICATION_PRIVATE_KEY_PATH | Private key path. |
RECORDING_ID | The recording UUID. |
Write the code
Add the following to retrieve-recording.sh:
Copy
curl -X GET "https://api-eu.vonage.com/meetings/recordings/"$RECORDING_ID \
-H "Authorization: Bearer $JWT"Run your code
Save this file to your machine and run it:
sh retrieve-recording.sh
Prerequisites
Copy
pip install vonageCreate a file named request.py and add the following code:
Copy
import vonage
client = vonage.Client(
application_id=VONAGE_APPLICATION_ID,
private_key=VONAGE_PRIVATE_KEY,Run your code
Save this file to your machine and run it:
python request.py
Prerequisites
Copy
gem install vonageCreate a file named find-recording.rb and add the following code:
Copy
client = Vonage::Client.new(
application_id: VONAGE_APPLICATION_ID,
private_key: File.read(VONAGE_APPLICATION_PRIVATE_KEY_PATH)
)Write the code
Add the following to find-recording.rb:
Copy
recording = client.meetings.recordings.info(recording_id: RECORDING_ID)Run your code
Save this file to your machine and run it:
ruby find-recording.rb
Example Response
Copy
{
"id": "9f6fe8ae-3458-4a72-b532-8276d5533e97",
"session_id": "2_MX40NjMwODczMn5-MTU3NTgyODEwNzQ2MH5OZDJrVmdBRUNDbG5MUzNqNX20yQ1Z-fg",
"started_at": "2023-06-06T07:15:13.974Z",
"ended_at": "2023-06-06T08:15:13.974Z",
"status": "stopped",
"_links": {
"url": {
"href": "https://prod-meetings-recordings.s3.amazonaws.com/123/9f6fe8ae-3458-4a72-b532-8276d5533e97/archive.mp4"
}
}
}